@import url('https://fonts.googleapis.com/css2?family=Ubuntu:wght@400;500;700&display=swap');

* {
    margin: 0;
    padding: 0;
}

body {
    font-family: 'Ubuntu', sans-serif;
    height: 100%;
    background-image: url("../new-img/new-background.png");
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
    height: 100vh !important;
}

img {
    height: auto;
    max-width: 100%;
    object-fit: contain;
}


.quiz-step {
    /* background-color: #fff; */
    /* height: 100vh; */
    height: 100%;

}

.green {
    /* background-color: #03B44C; */
}

.hidden {
    display: none;
}

.line-wrapper {
    height: 3px;
    border: 1px solid black;
}


.blue-line {
    height: 100%;
}

.new-blue {
    color: #447AFE;
    text-shadow: 2px 2px 2px rgba(0, 0, 0, 0.60);
    font-size: 52px;
    font-style: normal;
    font-weight: 700;
    line-height: normal;
    letter-spacing: 1.56px;

}

.underline {
    height: 2px;
    display: flex;
    justify-content: flex-end !important;
    border-bottom: 1px solid black;
    width: 200px;
    justify-self: flex-end;
}

/* .container {
    background-image: url("../new-img/new-background.png");
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
    height: 100vh;
} */


.app {
    display: flex;
    justify-content: space-between;
    align-items: center;
    /* height: 100%; */
    /* margin: 10px; */
    /* border: 1px solid red; */

}

.app__left {
    max-width: 650px;

    /* border: 1px solid orange; */

}

.app__right {
    display: flex;
    flex-direction: column;
    align-items: center;
    overflow: hidden;
    max-width: 100vw;
}

.app__right-block {
    display: inline-flex;
    justify-content: flex-end;
    align-items: center;
    gap: 10px;
    border-bottom: 1px solid #4C4C4C;
    margin-left: 200px;

    padding-bottom: 10px;
}



.app__right-block-text {
    max-width: 320px;
    color: #4D4D4D;
    font-size: 18px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
    letter-spacing: 0.54px;
    max-width: 204px;

}

.app__right-block-18 {
    color: #4D4D4D;
    font-size: 22px;
    font-style: normal;
    font-weight: 700;
    line-height: normal;
    letter-spacing: 0.66px;

}

.app__logo  {
    margin-bottom: 150px;
}
.app__logo img {
  max-width: 210px;  
}

.app__right img {
    max-width: 700px;
}

.line {
    background-color: #ffff;
}

.strong {
    line-height: 30px;
    font-size: 25px;
}

.start-page__header {
    color: #4D4D4D;
    font-size: 44px;
    font-style: normal;
    font-weight: 500;
    line-height: normal;
    letter-spacing: 1.32px;
}

.start-page__subheader {
    color: #4D4D4D;
    font-size: 18px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
    letter-spacing: 0.54px;
    margin-top: 50px;
}

.cool-line {
    border: none;
    height: 2px;
    background: linear-gradient(to right, #ff7e5f, #feb47b, #86a8e7, #7f7fd5);
    margin: 20px 0;
    position: relative;
}

.cool-line::before {
    content: '';
    position: absolute;
    left: 0;
    top: -5px;
    height: 10px;
    width: 10px;
    background-color: #ff7e5f;
    border-radius: 50%;
    box-shadow: 0 0 10px #ff7e5f;
}

.cool-line::after {
    content: '';
    position: absolute;
    right: 0;
    top: -5px;
    height: 10px;
    width: 10px;
    background-color: #7f7fd5;
    border-radius: 50%;
    box-shadow: 0 0 10px #7f7fd5;
}

.start-btn {
    border-radius: 8px;
    border: 1px solid rgba(255, 255, 255, 0.16);
    background: var(--123, linear-gradient(0deg, #0043F8 0%, #0075F8 100%));
    box-shadow: 0px 4px 4px 0px rgba(0, 0, 0, 0.25);    
    color: #ffff;
    font-weight: bold;
    border-radius: 10px;
    font-size: 30px;
    padding: 15px 30px;
    margin-top: 30px;
    border: none;
    z-index: 2;

}

.start-btn-q {
    border-radius: 8px;
    border: 1px solid rgba(255, 255, 255, 0.16);
    background: var(--123, linear-gradient(0deg, #0043F8 0%, #0075F8 100%));
    box-shadow: 0px 4px 4px 0px rgba(0, 0, 0, 0.25);    
    color: #ffff;
    font-weight: bold;
    border-radius: 10px;
    font-size: 30px;
    padding: 15px 30px;
    margin-top: 30px;
    border: none;
    z-index: 2;
    opacity: .2;
}

.circle-number-group {
    display: flex;
    gap: 50px;
    margin-bottom: 80px;
    flex-wrap: wrap;
}

.circle-number-group-item {
    fill: #444B60;
    filter: drop-shadow(0px 4px 20px rgba(0, 0, 0, 0.25));
    width: 60px;
    height: 60px;
    background-color:#444B60;
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    color: #fff;
    font-size: 26px;
}

.circle-number-group-item.active {
    background: linear-gradient(180deg, #5E81FF 68.33%, #BFA3FF 98.33%);
    filter: drop-shadow(0px 4px 20px rgba(0, 0, 0, 0.25));
}



.platform {
    display: none;
}

.platform__18 {
    display: none;
}

.ribbon {
    display: none;
    position: absolute;
    z-index: 1;

}

.question-container {
    /* max-width: 1024px; */
    margin: 50px auto 0;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 30px;
    padding: 25px;
    flex-direction: row-reverse;
}

.step {
    opacity: .7;
    color: #7e7a7a;

}

/* .question-container {
    display: flex;
} */

.question-container__left img {
     max-width: 600px;
    border-radius: 20px; 
}

.logo-img {
    max-width: 220px !important;
    border-radius: 0 !important; 

}

.question-container__right img {
 margin-bottom: 50px;
 margin-top: 32px;
}

.question {
    max-width: 900px;
    margin-top: 10px;
    font-weight: normal;
}

.group-btns {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 30px;
    justify-content: space-between;
    margin-top: 30px;
}

.q-up-block {
    display: flex;
    align-items: center;
    justify-content: flex-end;
    gap: 10px;
    /* border-bottom: 1px solid #000; */
    margin-bottom: 81px;
}




.line-percent {
    font-family: Arial, sans-serif;
    margin: 20px 0;
    padding: 10px;
    background-color: #fff;
    border-radius: 10px;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
    /* align-self: flex-start; */
    /* max-width: 300px; */
    width: 100%;
}

.line-percent p {
    margin-bottom: 10px;
    font-size: 1.1em;
    color: #333;
    font-weight: bold;
}

.line-percent .line-wrapper {
    background-color: #e0e0e0;
    border-radius: 20px;
    overflow: hidden;
    height: 15px;
    box-shadow: inset 0 2px 5px rgba(0, 0, 0, 0.1);
}

.line-percent .blue-line {
    height: 100%;
    border-radius: 20px 0 0 20px;
    transition: width 0.5s ease-in-out, background-color 0.5s ease-in-out;
}

.line-percent .blue-line:hover {
    background-color: #6a66f3;
    width: 100%; /* On hover, the line fills up as a demonstration */
}

.line-percent span {
    color: #000;
    font-size: 1.2em;
    font-weight: bold;
}

.answer-btn {
    background-color: transparent;
    border: 2px solid #333;
    font-family: 'Ubuntu', sans-serif; 
    font-size: 16px;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: flex-start; 
    gap: 10px; 
    width: 150px; 
    height: 26px;
    width: 26px;
}


.single-group {
    display: flex;
    align-items: center;
    gap: 15px;
    cursor: pointer;
}

.answer-btn.active {
    background-color: #5E81FF;
     
    
}

.single-group p {
    /* font-weight: bold; */
}

/* .answer-btn:hover {
    background: linear-gradient(135deg, #56ab2f, #a8e063); 

    transform: translateY(-5px) scale(1.05);
    box-shadow: 0 15px 20px rgba(0, 0, 0, 0.2);
} */

.answer-btn p {
    margin: 0;
    padding: 0;
}


.final-form {
    display: flex;
    align-items: center;
    justify-content: center;
    margin-top: 100px;
    /* height: 100vh; */
}

.final-form__left img {
 max-width: 600px;
}

.final-form__container {
    display: flex;
    align-items: center;
    gap: 20px 30px;
    /* padding: 20px 45px; */
    padding: 10px;
    height: 100%;
    /* -webkit-box-shadow: 2.5px 8.7px 15px 0 var(--color-bg-2, rgba(0, 0, 0, 0.11)); */
    /* box-shadow: 2.5px 8.7px 15px 0 var(--color-bg-2, rgba(0, 0, 0, 0.11)); */
    /* border: solid 1.2px var(--color-bg-2, #e8e8e8); */
    border-top: none;
    border-bottom: none;
    -webkit-box-align: center;
    -ms-flex-align: center;
    /* min-height: 260px; */
}

.lead-form__agreement {
    max-width: 300px;
    margin-top: 20px;
    font-size: 14px;

}

.form-label {
    display: flex;
    gap: 10px
}


.d-block {
    display: none;
}

.hr {
    max-width: 300px;
}

.circle-number-group-mob {
    display: none;
}

.q-up-block-age {
    font-weight: 700;
}


@media(max-width:1300px) {
    .question-container__left img {
        max-width: 550px;
    }
    .question {
        font-size: 20px;
        text-align: center;
    }

    .app__right img {
        max-width: 500px;
    }
}

@media(max-width:1024px) {
    .question-container__left img {
        max-width: 400px;
        margin-bottom: 40px;
    }

    .app__right-block-18{
        margin-right: -20px;
    }

    .app__right-block-text{
        text-align: center;
    }

    .answer-btn {
        padding: 5px;
        /* font-size: 14px; */
    }

    .final-form__container {
        flex-direction: column;
    }

    .final-form__left img {
        max-width: 300px;
    }

    .final-form {
        margin-top: 20px;
    }

    .app {
        flex-direction: column;
    }

    .app__logo {
        margin-bottom: 50px;
        margin-top: 40px;
        text-align: center;
    }

    .start-page__header {
        font-size: 28px;
    }

    .start-page {
        text-align: center;
        padding: 0 10px;
    }

    .new-blue{
        font-size: 55px;
   
    }

    .app__right-block {
        margin-left: 0;
    }

    .hr {
        max-width: 100%;
        font-weight: bold;
        margin-top: 5px;
    }

    .start-page__subheader {
        text-align: center;
    }

    .start-btn {
        margin-top: 0;
    }

    .app__right-block {
        margin-top: 50px;
        padding: 3px 0 10px;
    }

    .app__right-block-text {
     font-size: 15px;
    }
 

    .app__right-block {
    
    }

    .container {
        height: auto;
    }

    .question-container {
        flex-direction: column-reverse;
    }

    .question-container__left {
        display: flex;
        flex-direction: column-reverse;
        align-items: center;
        justify-content: center;
    }


    .question-container__logo-container {
        display: flex;
        justify-content: center;
    }

    .circle-number-group {
        display: none;
    }

    .circle-number-group-mob {
        display: flex;
        justify-content: center;
        gap: 20px;
    }

    .circle-number-group-item-circles-group {
        display: flex;
        align-items: center;
        gap: 10px;
    }
    

    .circle-number-group-item-circles-group-item {
        height: 6px;
        width: 6px;
        background-color: #D9D9D9;
        border-radius: 50%;
    }

    .question {
     margin-top: 50px;
     text-align: left;
     padding: 0 15px;
    }

    .q-up-block {
        /* border-bottom: 1px solid #000; */
    }
    .q-up-block-gerb {
        max-height: 70px;
    }

    .btn-container {
        display: flex;
        justify-content: center;
        margin-top: 36px;
     }

}



@media(max-width:768px) {
 .start-page__header {
    font-size: 28px;
    text-align: center;
 }

 .start-page__subheader {
    font-size: 20px;
    /* text-align: left; */

 }

 .btn-container {
    display: flex;
    justify-content: center;
    margin-top: 36px;
 }
 
 .platform {
    display: block;
    text-align: center;
    margin-top: 10px; 
 }

 .platform__18 {
    display: block;
    text-align: center;
    margin-top: 15px; 
    font-weight: bold;
 }

 .ribbon {
    display: block;
    bottom: 0;
    width: 100%;
    opacity: .5;
 }

 .green {
    background: linear-gradient(45deg, rgba(37,221,19,1) 0%, rgba(255,165,0,0.8) 40%, rgba(255,255,0,1) 100%);
}

/* .question-container {
    flex-direction: column;
} */

.question-container__left img {
    max-width: 350px;
}

.group-btns {
 align-items: center;
}

.question-container {
    margin: 0;
    gap: 0;
}

.question-container__left {
    display: flex;
    flex-direction: column-reverse;
    align-items: center;
}

.cool-line {
    margin: 0;
    display: none;
}

.group-btns {
    margin-top: 15px;
    gap: 10px;
}

.line-percent {
    margin-top: 10px;
}

.question-container {
    padding: 10px;
}

/* .app__right img {
    max-width: 400px;
} */

.btn-container {
    display: flex;
    justify-content: center;
}

.d-none {
    display: none;
}

.d-block {
    display: block;
    color: #4D4D4D;
    font-size: 33px;
    font-style: normal;
    font-weight: 500;
    line-height: normal;
    letter-spacing: 0.84px;
    text-align: left;
    margin-top: 10px;
}

.start-page__subheader {
    margin-top: 26px;
}

.strong-p {
    margin-top: 50px;
}

/* body {
    height: fit-content !important;
} */

.group-btns {
    align-items: flex-start !important;
    gap: 30px;
    padding: 0 15px;
    margin-top: 30px;
}

.start-btn-q {
    margin-top: 50px;
    margin-bottom: 40px;
    font-size: 18px;
    padding: 15px 70px;
    margin-left: 10px;
}
}

@media(max-width:425px) {
    .question-container__left img {
        max-width: 330px;
        margin-top: 5px;
    }

    .step {
        text-align: center;
        margin-top: 10px;
    }

    .answer-btn {
        font-size: 15px;
    }

    .final-form__container {
        width: 100%;
        /* height: fit-content; */
    }

    .final-form__right {
        max-width: 330px;
    }

    body {
        height: fit-content !important;
    }

    .final-form__container {
        /* min-height: 900px; */
    }

    /* .app__right img {
        max-width: 300px;
    } */

    /* .start-page {
        padding: 0 15px;
    }

    .new-blue {
        font-size: 40px;
    } */

}
.j-content {
 justify-content: center !important;
 margin-top: 20px;
}
